socketBufferSize = 7 << 20
...
forceErr, portableErr := sockopts.SetBufferSize(pconn, direction, socketBufferSize)
if forceErr != nil {
    logf("magicsock: [warning] failed to force-set UDP %v buffer size to %d: %v; using kernel default values (impacts throughput only)", direction, socketBufferSize, forceErr)
}
if portableErr != nil {
    logf("magicsock: failed to set UDP %v buffer size to %d: %v", direction, socketBufferSize, portableErr)
}
